
Foreman - Bug #9694

Usage of "osver" in templates give error when setting build mode.

03/10/2015 07:16 AM - Martin Hovmöller

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If osver is used instead of host.operatingsystem.major, the error "Failure parsing <template name>: undefined method `<' for

nil:NilClass." when putting the host in build mode.

The host is set to build mode successfully though, and the template rendering works fine.

Related issues:

Related to Foreman - Feature #746: Generate all the Host template when click ... Closed 03/15/2011

Related to Foreman - Bug #10338: Using template_name variable in template cau... New 04/30/2015

History

#1 - 03/10/2015 07:18 AM - Dominic Cleal

- Project changed from Docker to Foreman

- Category set to Templates

#2 - 03/10/2015 07:19 AM - Dominic Cleal

- Related to Feature #746: Generate all the Host template when click on Build to avoid errors during installation added

#3 - 05/01/2015 03:25 AM - Dominic Cleal

- Related to Bug #10338: Using template_name variable in template causes error in Build Review added
